﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Editors;
using Infragistics.Windows;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = CreateTable(3, 30).DefaultView;

        }

        public DataTable CreateTable(int columns, int rows)
        {
            DataTable d = new DataTable();
            Random r = new Random();

            for (int i = 0; i < columns; i++)
            {
                d.Columns.Add(new DataColumn("Column" + i, typeof(string)));
            }
            for (int i = 0; i < rows; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columns; j++)
                {
                    row["Column" + j] = "sfsfsdf" + r.Next(100000 * i);
                }

                d.Rows.Add(row);
            }
            return d;
        }

        private void XamComboEditor_Loaded(object sender, RoutedEventArgs e)
        {
            Popup popup = Utilities.GetDescendantFromName(sender as DependencyObject, "Popup") as Popup;
            popup.Opened += new EventHandler(popup_Opened);
        }

        void popup_Opened(object sender, EventArgs e)
        {
            Border border = (sender as Popup).Child as Border;
            border.Width = double.NaN;
        }
    }
}
